Package org.apache.lucene.analysis.ja

# Class JapaneseNumberFilter.NumberBuffer

java.lang.Object
org.apache.lucene.analysis.ja.JapaneseNumberFilter.NumberBuffer

Enclosing class:
  `JapaneseNumberFilter`

public static class JapaneseNumberFilter.NumberBuffer extends Object
Buffer that holds a Japanese number string and a position index used as a parsed-to marker

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumberBuffer(String string)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `advance()`
  `char`
  `charAt(int index)`
  `int`
  `length()`
  `int`
  `position()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NumberBuffer

    public NumberBuffer(String string)

- ## Method Details

  - ### charAt

    public char charAt(int index)

  - ### length

    public int length()

  - ### advance

    public void advance()

  - ### position

    public int position()